KDE 4.7 PyKDE API Reference

- KDE's Python API

# OpticalDisc Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.StorageVolume → Solid.DeviceInterface → QObject
Namespace: Solid

## Detailed Description

This device interface is available on optical discs.

An optical disc is a volume that can be inserted in CD-R*,DVD*,Blu-Ray,HD-DVD drives.

## Enumerations
ContentType | { NoContent, Audio, Data, VideoCd, SuperVideoCd, VideoDvd, VideoBluRay }
DiscType | { UnknownDiscType, CdRom, CdRecordable, CdRewritable, DvdRom, DvdRam, DvdRecordable, DvdRewritable, DvdPlusRecordable, DvdPlusRewritable, DvdPlusRecordableDuallayer, DvdPlusRewritableDuallayer, BluRayRom, BluRayRecordable, BluRayRewritable, HdDvdRom, HdDvdRecordable, HdDvdRewritable }
## Methods
| __init__ (self, QObject backendObject)
Solid.OpticalDisc.ContentTypes | availableContent (self)
long | capacity (self)
Solid.OpticalDisc.DiscType | discType (self)
bool | isAppendable (self)
bool | isBlank (self)
bool | isRewritable (self)
## Static Methods
Solid.DeviceInterface.Type | deviceInterfaceType ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new OpticalDisc object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

Solid.OpticalDisc.ContentTypes availableContent | ( |  | self ) |

Retrieves the content types this disc contains (audio, video, data...).

Returns:
  the flag set indicating the available contents

See also:
  Solid.OpticalDisc.ContentType

long capacity | ( |  | self ) |

Retrieves the disc capacity (that is the maximum size of a volume could have on this disc).

Returns:
  the capacity of the disc in bytes

Solid.OpticalDisc.DiscType discType | ( |  | self ) |

Retrieves the disc type (cdr, cdrw...).

Returns:
  the disc type

bool isAppendable | ( |  | self ) |

Indicates if it's possible to write additional data to the disc.

Returns:
  true if the disc is appendable, false otherwise

bool isBlank | ( |  | self ) |

Indicates if the disc is blank.

Returns:
  true if the disc is blank, false otherwise

bool isRewritable | ( |  | self ) |

Indicates if the disc is rewritable.

A disc is rewritable if you can write on it several times.

Returns:
  true if the disc is rewritable, false otherwise

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the OpticalDisc device interface.

Returns:
  the OpticalDisc device interface type

See also:
  Solid.Ifaces.Enums.DeviceInterface.Type

## Enumeration Documentation

ContentType

This enum type defines the type of content available in an optical disc.

- Audio : A disc containing audio - Data : A disc containing data - VideoCd : A Video Compact Disc (VCD) - SuperVideoCd : A Super Video Compact Disc (SVCD) - VideoDvd : A Video Digital Versatile Disc (DVD-Video)

Enumerator:

  NoContent = 0x00 |
  Audio = 0x01 |
  Data = 0x02 |
  VideoCd = 0x04 |
  SuperVideoCd = 0x08 |
  VideoDvd = 0x10 |
  VideoBluRay = 0x20 |

DiscType

This enum type defines the type of optical disc it can be.

- UnknownDiscType : An undetermined disc type - CdRom : A Compact Disc Read-Only Memory (CD-ROM) - CdRecordable : A Compact Disc Recordable (CD-R) - CdRewritable : A Compact Disc ReWritable (CD-RW) - DvdRom : A Digital Versatile Disc Read-Only Memory (DVD-ROM) - DvdRam : A Digital Versatile Disc Random Access Memory (DVD-RAM) - DvdRecordable : A Digital Versatile Disc Recordable (DVD-R) - DvdRewritable : A Digital Versatile Disc ReWritable (DVD-RW) - DvdPlusRecordable : A Digital Versatile Disc Recordable (DVD+R) - DvdPlusRewritable : A Digital Versatile Disc ReWritable (DVD+RW) - DvdPlusRecordableDuallayer : A Digital Versatile Disc Recordable Dual-Layer (DVD+R DL) - DvdPlusRewritableDuallayer : A Digital Versatile Disc ReWritable Dual-Layer (DVD+RW DL) - BluRayRom : A Blu-ray Disc (BD) - BluRayRecordable : A Blu-ray Disc Recordable (BD-R) - BluRayRewritable : A Blu-ray Disc (BD-RE) - HdDvdRom: A High Density Digital Versatile Disc (HD DVD) - HdDvdRecordable : A High Density Digital Versatile Disc Recordable (HD DVD-R) - HdDvdRewritable : A High Density Digital Versatile Disc ReWritable (HD DVD-RW)

Enumerator:

  UnknownDiscType = -1 |
  CdRom |
  CdRecordable |
  CdRewritable |
  DvdRom |
  DvdRam |
  DvdRecordable |
  DvdRewritable |
  DvdPlusRecordable |
  DvdPlusRewritable |
  DvdPlusRecordableDuallayer |
  DvdPlusRewritableDuallayer |
  BluRayRom |
  BluRayRecordable |
  BluRayRewritable |
  HdDvdRom |
  HdDvdRecordable |
  HdDvdRewritable |